add dev-libs/libgcrypt-error as this is now needed by libgcrypt-9999
authorkristianf <devnull@localhost>
Tue, 18 Feb 2014 17:36:55 +0000 (18:36 +0100)
committerkristianf <devnull@localhost>
Tue, 18 Feb 2014 17:36:55 +0000 (18:36 +0100)
dev-libs/libgcrypt/Manifest
dev-libs/libgcrypt/libgcrypt-9999.ebuild
dev-libs/libgpg-error/Manifest [new file with mode: 0644]
dev-libs/libgpg-error/libgpg-error-9999.ebuild [new file with mode: 0644]

index 65c42dd..30f55df 100644 (file)
@@ -1,4 +1,4 @@
 AUX 0002-Fix-building-with-GNU-Automake-1.13.patch 2050 SHA256 78b5786783d326a77323cbdb9294544d184a2ddfc3d8d298be170e5b585ea45a SHA512 3b66d6a0e02f0ba16dbcf509b045d771c40865bd6054bd928506cc2c157f764d55f352d557ac33cc0dbc0892351998723306ee61609e5459141b48c9158a86b3 WHIRLPOOL ea63892696187afe9fe9be752247056f4062019a413370186ee28383b4f97c0a4bba43ec5212dc433d94d1f831ec90bd5dac84a37dc5b99faa63f45006fd732e
 AUX libgcrypt-1.5.0-uscore.patch 981 SHA256 4cbb34cebce02531b9b940494b78b7186b2fd05b802866d9ecb42d478e88e845 SHA512 716e182684886c905525ab9218b3453fd968ee8f73da83d3ba97ca84a868e18eb1c1c9bb3891a1e4b25f870eb3d762a5e8a415168c9804e9367d8dd12090a601 WHIRLPOOL 6b6b1944539127c9c41fda46c54d8e331597d249ab91a0024a38d60a907a0fba114fb064c8d956c90a91e27e6ae30aa2e6dd4a3b61b2e8d771e53499b9810016
 AUX libgcrypt-multilib-syspath.patch 588 SHA256 a3fc53f24b9cd0355a5267bc3ca8e88c397878473046536068c8ae4ae0b526eb SHA512 913c1a474aba50ec3589fb5a991f65204ba2cc28203b92353fdef8fb092350c3be814a57f29a26a2176627509a4f573f6db02ebdbcde3f04a2f1d632879293dc WHIRLPOOL 8d066987dc3cfa1dd686047fd5332b11199e5add63f82e397a34b22b5ce2f97af17d60042681c1eb50617402189a0d7fca5db48db7d41f4ef0f1cbe1acc645ab
-EBUILD libgcrypt-9999.ebuild 700 SHA256 db972b8c73b1afde7f711b7fd2de5e94ee684d013a2844ffa44c1ff2d3f10a85 SHA512 dc40e9b6dc58751febee41c41fe42b96a263e48872e878faaff8d70d240bcfdf0ab57aa5239f3eaab66bd3b3f80f112008334481aa46474b14754475a14b78eb WHIRLPOOL 26002b3f4f5f35a4f76a973903429a6ff5f509b99405dbffcdbde74643a940cfb7d2b7b43b692d2894db2bfecaab2350928c9e8c89699717465d33716183b32b
+EBUILD libgcrypt-9999.ebuild 730 SHA256 045875634a5cc65f110e1089a5b6108093c92930e6c4c20b65ff55a46ead7cf5 SHA512 79bafe3bf871fd6e6fc488f611f5da7f97ee80bd7496cad93d373974ed1ec0f63656b2718368a462a71330253b0c3ebb506766b6cec7b52a9ade815542037fb8 WHIRLPOOL 661db759459dee92426f93bdd462f441e9f021ea56ad0de8782540f64da986ae3ee71ac8509e9157ad2d589f69981c46d0272ccd608057aa3a903382b309e2dc
index 2e8808d..5330e2f 100644 (file)
@@ -20,6 +20,7 @@ REQUIRED_USE=""
 #Texinfo version 4.8 segfaults, force higher version.  
 DEPEND="
        >=sys-apps/texinfo-5.2:0
+       >=dev-libs/libgpg-error-1.13
 "
 RDEPEND="${DEPEND}"
 
diff --git a/dev-libs/libgpg-error/Manifest b/dev-libs/libgpg-error/Manifest
new file mode 100644 (file)
index 0000000..84c4fcb
--- /dev/null
@@ -0,0 +1 @@
+EBUILD libgpg-error-9999.ebuild 657 SHA256 597460f5640c1d44aede57e145cc81c2cc23f8df93a987bf6f75fc7c054d089f SHA512 521a1b81cdbf7821bd04bd463e3597e215ab7c120caeeefd754b27e0c08b1bb3e8ef596489fcebb0f6a8d9eba87066deecd94b8937f4d5e63df8bc5737fe0e2b WHIRLPOOL 090168104275e8dcab4178ad52aa2051e31d8928ab5dd6d137492c81094c68b933e22f5987a02a63091a0c41671283b53eea11296870f3e96ac28e4c620707bf
diff --git a/dev-libs/libgpg-error/libgpg-error-9999.ebuild b/dev-libs/libgpg-error/libgpg-error-9999.ebuild
new file mode 100644 (file)
index 0000000..448fe04
--- /dev/null
@@ -0,0 +1,32 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/openvpn/openvpn-9999.ebuild,v 1.7 2013/05/03 07:56:29 djc Exp $
+
+EAPI=5
+
+inherit autotools flag-o-matic user git-2
+
+DESCRIPTION="libgpg-error: Error codes used by GnuPG, libgcrypt etc"
+EGIT_REPO_URI="git://git.gnupg.org/${PN}.git"
+HOMEPAGE="http://gnupg.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+REQUIRED_USE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       ./autogen.sh || die "Autogen failed"
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               ${myconf} \
+               --enable-maintainer-mode
+}